Summary:	Apache Portable Runtime
Summary(pl):	Apache Portable Runtime - przenona biblioteka uruchomieniowa
Name:		apr
Version:	1.0.0
Release:	0.1
Epoch:		1
License:	Apache v2.0
Group:		Libraries
Source0:	http://www.apache.org/dist/apr/%{name}-%{version}.tar.gz
# Source0-md5:	ccd5c21292581be4ba9db10ad5cc8ced
#Patch0:		%{name}-0.9.4_0.9.5.patch.gz
#Patch1:		%{name}-link.patch
Patch2:		%{name}-metuxmpm.patch
#Patch3:		%{name}-modes.patch	-- obsolete
URL:		http://apr.apache.org/
BuildRequires:	autoconf >= 2.13
BuildRequires:	automake
BuildRequires:	libtool >= 1.3.3
BuildRequires:	perl-base
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_includedir	/usr/include/apr
%define		_datadir	/usr/share/apr

%description
The mission of the Apache Portable Runtime (APR) project is to create
and maintain software libraries that provide a predictable and
consistent interface to underlying platform-specific implementations.
The primary goal is to provide an API to which software developers may
code and be assured of predictable if not identical behaviour
regardless of the platform on which their software is built, relieving
them of the need to code special-case conditions to work around or
take advantage of platform-specific deficiencies or features.

%description -l pl
Celem projektu APR (Apache Portable Runtime) jest stworzenie i
utrzymywanie bibliotek dostarczajcych przewidywalnego i spjnego
interfejsu do lecych u podstaw implementacji zalenych od platformy.
Gwnym celem jest dostarczenie API, ktrego mog uywa programici
majc pewno, e zachowuje si w sposb przewidywalny, jeli nie
identyczny, niezalenie od platformy na jakiej oprogramowanie jest
budowane oraz bez potrzeby kodowania specjalnych warunkw do
obchodzenia lub wykorzystywania specyficznych dla platform rnic lub
moliwoci.

%package devel
Summary:	Header files and development documentation for apr
Summary(pl):	Pliki nagwkowe i dokumentacja programisty do apr
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Header files and development documentation for apr.

%description devel -l pl
Pliki nagwkowe i dokumentacja programisty do apr.

%package static
Summary:	Static apr library
Summary(pl):	Statyczna biblioteka apr
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static apr library.

%description static -l pl
Statyczna biblioteka apr.

%prep
%setup -q
#patch0 -p1
#patch1 -p1
%patch2 -p1

%build
install /usr/share/automake/config.* build
./buildconf
%configure \
	--enable-threads
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

ln -sf %{_bindir}/libtool $RPM_BUILD_ROOT%{_datadir}/libtool

install build/{*apr*.m4,*.awk,*.sh,config.*} $RPM_BUILD_ROOT%{_datadir}/build-1
ln -sf build-1 $RPM_BUILD_ROOT%{_datadir}/build

%{__perl} -pi -e 's@^(APR_SOURCE_DIR=).*@$1"%{_datadir}"@' $RPM_BUILD_ROOT%{_bindir}/apr-config
%{__perl} -pi -e 's@^(apr_builddir|apr_builders)=.*@$1=%{_datadir}/build-1@' \
	$RPM_BUILD_ROOT%{_datadir}/build-1/apr_rules.mk

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES docs/*.html
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_libdir}/apr.exp
%{_includedir}
%dir %{_datadir}
%dir %{_datadir}/build-1
%{_datadir}/build-1/*.mk
%{_datadir}/build-1/*.m4
%{_datadir}/build-1/*.awk
%attr(755,root,root) %{_datadir}/build-1/config.*
%attr(755,root,root) %{_datadir}/build-1/*.sh
%attr(755,root,root) %{_datadir}/build-1/libtool
%{_pkgconfigdir}/apr-1.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
